﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace Portfolio.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddPokemon : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.InsertData(
                table: "Pokemons",
                columns: new[] { "Id", "IsVariation", "PokemonId", "PokemonName", "SleepType", "Speciality", "VariationName" },
                values: new object[,]
                {
                    { 1, false, 1, "Bulbasaur", "Dozing", "Ingredients", null },
                    { 2, false, 2, "Ivysaur", "Dozing", "Ingredients", null },
                    { 3, false, 3, "Venasaur", "Dozing", "Ingredients", null },
                    { 4, false, 4, "Charmander", "Snoozing", "Ingredients", null },
                    { 5, false, 5, "Charmeleon", "Snoozing", "Ingredients", null },
                    { 6, false, 6, "Charizard", "Snoozing", "Ingredients", null },
                    { 7, false, 7, "Squirtle", "Slumbering", "Ingredients", null },
                    { 8, false, 8, "Wartortle", "Slumbering", "Ingredients", null },
                    { 9, false, 9, "Blastoise", "Slumbering", "Ingredients", null },
                    { 10, false, 10, "Caterpie", "Dozing", "Berries", null },
                    { 11, false, 11, "Metapod", "Dozing", "Berries", null },
                    { 12, false, 12, "Butterfree", "Dozing", "Berries", null },
                    { 13, false, 19, "Rattata", "Snoozing", "Berries", null },
                    { 14, false, 20, "Raticate", "Snoozing", "Berries", null },
                    { 15, false, 23, "Ekans", "Dozing", "Berries", null },
                    { 16, false, 24, "Arbok", "Dozing", "Berries", null },
                    { 17, false, 25, "Pikachu", "Snoozing", "Berries", null },
                    { 18, false, 26, "Raticate", "Snoozing", "Berries", null },
                    { 19, false, 35, "Clefairy", "Snoozing", "Berries", null },
                    { 20, false, 36, "Clefable", "Snoozing", "Berries", null },
                    { 21, false, 37, "Vulpix", "Snoozing", "Berries", null },
                    { 22, false, 38, "Ninetails", "Snoozing", "Berries", null },
                    { 23, true, 37, "Vulpix", "Slumbering", "Berries", "Alolan" },
                    { 24, true, 38, "Ninetails", "Slumbering", "Berries", "Alolan" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 1);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 2);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 3);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 4);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 5);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 6);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 7);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 8);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 9);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 10);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 11);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 12);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 13);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 14);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 15);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 16);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 17);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 18);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 19);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 20);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 21);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 22);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 23);

            migrationBuilder.DeleteData(
                table: "Pokemons",
                keyColumn: "Id",
                keyValue: 24);
        }
    }
}
