﻿using AutoMapper;
using Portfolio.Domain.Features.Dtos;
using Portfolio.Domain.Features.Pokemon;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;

namespace Portfolio.Infrastructure
{
    public class MappingConfig
    {
        public static MapperConfiguration RegisterMaps()
        {
            var mappingConfig = new MapperConfiguration(config =>
            {
                config.CreateMap<PokemonDto, Pokemon>();
                config.CreateMap<Pokemon, PokemonDto>();
            });
            return mappingConfig;
        }
    }
}
